/******************************************************************************
//	Copyright (c) ITD sc 1996..1997.. Joseph Krikovszky . 
//
//	Project name	:  LM32
//	Project number	:
//	Module name		: Common File for include in any application 
//	Purpose			: Demonstartion of use of LM32 functions
//	Author(s)		: Joseph Krikovszky
//	Design doc.		: see: User Manual included.
//	
******************************************************************************/


#include <windows.h>
#include <windowsx.h>
#include "LM32EXP.H"

#define DEMO	0
#define FINAL	1
#define UPDATE	2



BOOL Check_Licensing (HWND hwnd)
{
char szCDKey[64]={0};
char szCustomMsg[512]={0};
char szUser[25] ={0};
char szCompany[25] ={0};

WORD	wKeyType;
long	lTimeLeft;
	
// This function Sets the global variables of the License manager for 
// validations. This function has to be called before any other LM32 functions

	LM_SetAPPKeys(	"MyApplication",		//Product_Name
					"Version1_1_01",		//Product_Version
					 1,						//Product_Key definedin the Key encoder
					 333,					//Product_ChkSum definedin the Key encoder 
					 HKEY_LOCAL_MACHINE		// Which registery to use to store the values:
											// Possible values :HKEY_CURRENT_USER, HKEY_LOCAL_MACHINE
					 );

	strcpy(szUser,"DEMO");
	strcpy(szCompany,"My Company");

/***********************************************************************************
DO NOT USE THOSE KEYS IN FOR YOUR PRODUCT! THOSE KEYS ARE PUBLIC !!!
THOSE ARE ONLY FOR DEMONSTRATION PURPOSES OF THE LICENSE MANAGER !!!

Keys generated for demo
Product ID :1
Checksum :333
License time:30
Number of users :1
Application type :Demo
Application Key:170-00003010-30430

***********************************************************************************
Product ID :1
Checksum :333
License time:99
Number of users :1
Application type :Final
Application Key:170-00099010-30731

	
***********************************************************************************/


	strcpy(szCDKey,"170-00003010-30430");

	LM_Register_User(szUser,		//UserName for the Demo version,
					 szCompany,		// Company delivering the demo
					 szCDKey		//CD_ KEY generated with the Key encoder for with DEMO flags.
									// The Demo flag key will NEVER overwrite a Full or upgrade version
									// and this function does nothing if the software was already registered.
					  );

	wKeyType = LM_GetKeyType();
	if (wKeyType == DEMO)
	{

		lTimeLeft = LM_GetTimeLeft();
		if (lTimeLeft <= 0)
		{
			// Display license banner
			// sets the custom message which will be included in the banner.
			// Do not forget to Include  %s where you want to display the date when the demo license expires
			// and %ld where the number of days left has to be displayed
			strcpy(szCustomMsg,"You have %ld days left to use this Demo Version \r\nof My Program\r\nThe Demo licence will expire the : %s\r\nPlease Contact your distributor NOW !\r\nat 100427.400@compuserve.com" );
		
			DisplayLicenseTerms(	szCustomMsg,		// My formated Message Including time left and termination date Max 512 chars
								25						// Display Banner Time in seconds 
										);
		   RegisterUser_DlgBox(hwnd);
		   wKeyType = LM_GetKeyType();
			if (wKeyType == DEMO)
			{
				// YOUR  action .
				// Detected that still demo code entered. 
				// You can stop the program or give warrning only !
				// Kill process or send a WM_COLSE to mother window.
				// This sample do not let the program run, when no more time left and still 
				// demo key present.
				MessageBox(hwnd,"Please Call your distributor for your Code!","Error",0);
				SendMessage( hwnd,WM_CLOSE,0,0);
				return(FALSE);

			}

		}
		// Display license banner
		// sets the custom message which will be included in the banner.
		// Do not forget to Include  %s where you want to display the date when the demo license expires
		// and %ld where the number of days left has to be displayed

		strcpy(szCustomMsg,"You have %ld days left to use this Demo Version \r\nof My Program\r\nThe Demo licence will expire the : %s\r\nPlease Contact your distributor before !\r\nat 100427.400@compuserve.com" );
		
		DisplayLicenseTerms(	szCustomMsg,		// My formated Message Including time left and termination date Max 512 chars
							10						// Display Banner Time in seconds 
										);

	}


}
